Bug 1952214 - Console Devfile Import Dev Preview broken
Summary: Console Devfile Import Dev Preview broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Christoph Jerolimov
QA Contact: Debsmita Santra
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks: 1956313
TreeView+ depends on / blocked
 
Reported: 2021-04-21 18:54 UTC by cvogt
Modified: 2021-09-15 17:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when you imported a devfile, the web console ignored the `build guidance` placeholder container which provided the configuration for environment variables, ports, and limits. The new deployment had a second container which could not start because the placeholder image could not be fetched and it missed the required configurations. Now, the `build guidance` container is dropped from the new deployment, and the container adds the environment variables, ports, and limit configurations. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1952214[*BZ#1952214*])
Clone Of:
Environment:
Last Closed: 2021-07-27 23:02:36 UTC
Target Upstream Version:
cjerolim: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8807 0 None open Bug 1952214: Save additional Devfile container parameters from build guidance container and drop it to fix ImagePullBack... 2021-04-28 00:22:32 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:02:54 UTC

Description cvogt 2021-04-21 18:54:19 UTC
Description of problem:
When I use the sample repository from the Devfile Import Form, the pod never comes up

Please see https://github.com/openshift/console/issues/8729

Comment 1 Christoph Jerolimov 2021-04-26 08:18:31 UTC
Could verify that the sample could not start successful.

How should we detect the "build guidance" image (by name, by attributes.tool or by container.image) and what should we do with it?

See https://github.com/redhat-developer/devfile-sample/blob/master/devfile.yaml#L9-L17

Comment 2 eyuen 2021-04-26 18:50:48 UTC
Within the boundary of the devfile 2.0 spec, ODC can currently use the container that has the attribute:
  tool: console-import
to identify. We added that explicitly for the current ODC support. By the time we go to devfile 2.2 in the future, we'll have a specific outer loop definition that ODC can use to remove that ODC specific attribute.

Comment 3 mfaisal 2021-04-26 19:10:58 UTC
@cjerolim@redhat.com adding to Elson's comment, https://github.com/redhat-developer/devfile-sample/blob/master/devfile.yaml#L9-L17 this "build guidance" devfile component only defines an endpoint that is valuable to ODC. ODC uses build config to build the application and pushes it to the OpenShift registry. So the container image to be used is from the resulting build. This UX will be improved with the actual devfile spec for outerloop targeted for devfile 2.2.0 where the user can specify the image name in devfile they want the build config to output to. So presently, ODC just uses the container image built from the build config and uses the devfile "build guidance" endpoint to create a service. But right now, it creates an invalid container with the invalid "build guidance" image from the devfile.

Comment 4 Tim deBoer 2021-04-27 20:19:54 UTC
FWIW, I have hit this on the dev sandbox now that it has moved up to 4.7.

Comment 6 Debsmita Santra 2021-05-04 11:00:24 UTC
The pod starts successfully
verified on 4.8.0-0.nightly-2021-04-30-102231

Comment 8 Rishu Mehra 2021-07-07 19:42:59 UTC
Added a new doc-text for RN:

Previously, when you imported a devfile, the Openshift web console ignored the "build guidance" placeholder container because the new deployment had a second container. The web console could not start the container because it could not fetch the placeholder image. As a result, the user container missed the additional configurations. Now, in the web console, the “build guidance” container is dropped from the new deployment, and the container adds the environment variable, ports, and limit configurations. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1952214[BZ#1952214])

Comment 10 errata-xmlrpc 2021-07-27 23:02:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.